## org.eclipse.emf.query.conditions.eobjects
Class EObjectInstanceCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.EObjectTypeRelationCondition
                  org.eclipse.emf.query.conditions.eobjects.EObjectInstanceCondition

    public class EObjectInstanceCondition

extends EObjectTypeRelationCondition

A `EObjectCondition` that tests whether the argument eObject instance equals a given eObject.

To look for `null` values in scalar `EReference`s, use the special `IS_NULL` shared condition instance. Simply initializing an `EObjectInstanceCondition` with `null` will not work.

Field Summary
`static EObjectInstanceCondition` `IS_NULL` A special object-instance condition checking that a value is `null`.

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectTypeRelationCondition
`UNDEFINED`

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`EObjectInstanceCondition(EObject eObject)` A simple constructor that allows callers to initialize the `EObject` instance to use for equality testing by this `EObjectInstanceCondition`.
`EObjectInstanceCondition(EObject eObject, PruneHandler pruneHandler)` A constructor that allows callers to initialize this `EObjectInstanceCondition`

Method Summary
`protected EObject` `getEObject()` A getter function for the `EObject` instance used by this `EObjectInstanceCondition`
`boolean` `isSatisfied(EObject eObj)` Tests whether the argument `EObject` instance equals this `EObjectInstanceCondition`'s own `EObject` instance.

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, isSatisfied, OR, shouldPrune, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IS_NULL

    public static final EObjectInstanceCondition IS_NULL

  A special object-instance condition checking that a value is `null`.

  Since:
    1.1

Constructor Detail

### EObjectInstanceCondition

    public EObjectInstanceCondition(EObject eObject)

  A simple constructor that allows callers to initialize the `EObject` instance to use for equality testing by this `EObjectInstanceCondition`. This constructor uses PruneHandler.NEVER

  Parameters:
    `eObject` - the `EObject` to use in equality testing

### EObjectInstanceCondition

    public EObjectInstanceCondition(EObject eObject,
                                    PruneHandler pruneHandler)

  A constructor that allows callers to initialize this `EObjectInstanceCondition`

  Parameters:
    `eObject` - the `EObject` to use in equality testing
    `pruneHandler` - the `PruneHandler` to use

Method Detail

### isSatisfied

    public boolean isSatisfied(EObject eObj)

  Tests whether the argument `EObject` instance equals this `EObjectInstanceCondition`'s own `EObject` instance.

  Overrides:
    `isSatisfied` in class `EObjectTypeRelationCondition`
  Parameters:
    `eObj` - the `EObject` to check
  Returns:
    boolean `true` if the argument eObject satisfies this `EObjectCondition`
  See Also:
    `EObjectCondition.isSatisfied(org.eclipse.emf.ecore.EObject)`

### getEObject

    protected final EObject getEObject()

  A getter function for the `EObject` instance used by this `EObjectInstanceCondition`

  Returns:
    `EObject` the given object instance which we test equality for

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.